Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.meta
Class DeviceDetails

    java.lang.Object
      org.teleal.cling.model.meta.DeviceDetails

All Implemented Interfaces:
  Validatable

    public class DeviceDetails

extends Object
implements Validatable

Encapsulates all optional metadata about a device.

Author:
  Christian Bauer

Constructor Summary
`DeviceDetails(String friendlyName)`
`DeviceDetails(String friendlyName, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
`DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails)`
`DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
`DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails)`
`DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
`DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc)`
`DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
`DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, String presentationURI)`
`DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, String presentationURI, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
`DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, URI presentationURI)`
`DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, URI presentationURI, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
`DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, URI presentationURI)`
`DeviceDetails(String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, URI presentationURI, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
`DeviceDetails(String friendlyName, URI presentationURI)`
`DeviceDetails(String friendlyName, URI presentationURI, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`
`DeviceDetails(URL baseURL, String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, URI presentationURI)`
`DeviceDetails(URL baseURL, String friendlyName, ManufacturerDetails manufacturerDetails, ModelDetails modelDetails, String serialNumber, String upc, URI presentationURI, DLNADoc[] dlnaDocs, DLNACaps dlnaCaps)`

Method Summary
`URL` | `getBaseURL()`
`DLNACaps` | `getDlnaCaps()`
`DLNADoc[]` | `getDlnaDocs()`
`String` | `getFriendlyName()`
`ManufacturerDetails` | `getManufacturerDetails()`
`ModelDetails` | `getModelDetails()`
`URI` | `getPresentationURI()`
`String` | `getSerialNumber()`
`String` | `getUpc()`
`List<ValidationError>` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeviceDetails

    public DeviceDetails(String friendlyName)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         DLNADoc[] dlnaDocs,
                         DLNACaps dlnaCaps)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         ManufacturerDetails manufacturerDetails)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         ManufacturerDetails manufacturerDetails,
                         DLNADoc[] dlnaDocs,
                         DLNACaps dlnaCaps)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         ManufacturerDetails manufacturerDetails,
                         ModelDetails modelDetails)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         ManufacturerDetails manufacturerDetails,
                         ModelDetails modelDetails,
                         DLNADoc[] dlnaDocs,
                         DLNACaps dlnaCaps)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         ManufacturerDetails manufacturerDetails,
                         ModelDetails modelDetails,
                         String serialNumber,
                         String upc)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         ManufacturerDetails manufacturerDetails,
                         ModelDetails modelDetails,
                         String serialNumber,
                         String upc,
                         DLNADoc[] dlnaDocs,
                         DLNACaps dlnaCaps)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         URI presentationURI)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         URI presentationURI,
                         DLNADoc[] dlnaDocs,
                         DLNACaps dlnaCaps)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         ManufacturerDetails manufacturerDetails,
                         ModelDetails modelDetails,
                         URI presentationURI)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         ManufacturerDetails manufacturerDetails,
                         ModelDetails modelDetails,
                         URI presentationURI,
                         DLNADoc[] dlnaDocs,
                         DLNACaps dlnaCaps)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         ManufacturerDetails manufacturerDetails,
                         ModelDetails modelDetails,
                         String serialNumber,
                         String upc,
                         URI presentationURI)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         ManufacturerDetails manufacturerDetails,
                         ModelDetails modelDetails,
                         String serialNumber,
                         String upc,
                         URI presentationURI,
                         DLNADoc[] dlnaDocs,
                         DLNACaps dlnaCaps)

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         ManufacturerDetails manufacturerDetails,
                         ModelDetails modelDetails,
                         String serialNumber,
                         String upc,
                         String presentationURI)
                  throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### DeviceDetails

    public DeviceDetails(String friendlyName,
                         ManufacturerDetails manufacturerDetails,
                         ModelDetails modelDetails,
                         String serialNumber,
                         String upc,
                         String presentationURI,
                         DLNADoc[] dlnaDocs,
                         DLNACaps dlnaCaps)
                  throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### DeviceDetails

    public DeviceDetails(URL baseURL,
                         String friendlyName,
                         ManufacturerDetails manufacturerDetails,
                         ModelDetails modelDetails,
                         String serialNumber,
                         String upc,
                         URI presentationURI)

### DeviceDetails

    public DeviceDetails(URL baseURL,
                         String friendlyName,
                         ManufacturerDetails manufacturerDetails,
                         ModelDetails modelDetails,
                         String serialNumber,
                         String upc,
                         URI presentationURI,
                         DLNADoc[] dlnaDocs,
                         DLNACaps dlnaCaps)

Method Detail

### getBaseURL

    public URL getBaseURL()

### getFriendlyName

    public String getFriendlyName()

### getManufacturerDetails

    public ManufacturerDetails getManufacturerDetails()

### getModelDetails

    public ModelDetails getModelDetails()

### getSerialNumber

    public String getSerialNumber()

### getUpc

    public String getUpc()

### getPresentationURI

    public URI getPresentationURI()

### getDlnaDocs

    public DLNADoc[] getDlnaDocs()

### getDlnaCaps

    public DLNACaps getDlnaCaps()

### validate

    public List<ValidationError> validate()

  Specified by:
    `validate` in interface `Validatable`
  Returns:
    An empty `List` if all rules validated properly, otherwise, the detected errors.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.